Activity log for bug #1321555

Date Who What changed Old value New value Message
2014-05-21 04:36:56 John Vrbanac bug added bug
2014-05-21 14:05:05 Steve Heyman barbican: assignee Steve Heyman (sheyman)
2014-05-21 14:59:44 John Vrbanac description Request: curl -X POST -d '{ "payload": "my-secret-here", "payload_content_type": "text/plain" } ' http://localhost:9311/v1/12345/secrets Response: Status Code: 500 {"code": 500, "description": "Secret creation failure seen - please contact site administrator.", "title": "Internal Server Error"} Expected Response: Status Code: 201 {"secret_ref": "http://localhost:9311/v1/12345/secrets/a6a11dde-ad9b-48bb-85b8-a1774b5ddb8b"} Request (Assuming an unauthenticated endpoint): curl -X POST -d '{   "payload": "my-secret-here",   "payload_content_type": "text/plain" } ' http://localhost:9311/v1/12345/secrets Response: Status Code: 500 {"code": 500, "description": "Secret creation failure seen - please contact site administrator.", "title": "Internal Server Error"} Expected Response: Status Code: 201 {"secret_ref": "http://localhost:9311/v1/12345/secrets/a6a11dde-ad9b-48bb-85b8-a1774b5ddb8b"}
2014-05-21 15:00:55 John Vrbanac description Request (Assuming an unauthenticated endpoint): curl -X POST -d '{   "payload": "my-secret-here",   "payload_content_type": "text/plain" } ' http://localhost:9311/v1/12345/secrets Response: Status Code: 500 {"code": 500, "description": "Secret creation failure seen - please contact site administrator.", "title": "Internal Server Error"} Expected Response: Status Code: 201 {"secret_ref": "http://localhost:9311/v1/12345/secrets/a6a11dde-ad9b-48bb-85b8-a1774b5ddb8b"} Request (Add X-Auth-Token header if you are testing against an endpoint with auth middleware enabled.): curl -X POST -d '{   "payload": "my-secret-here",   "payload_content_type": "text/plain" } ' http://localhost:9311/v1/12345/secrets Response: Status Code: 500 {"code": 500, "description": "Secret creation failure seen - please contact site administrator.", "title": "Internal Server Error"} Expected Response: Status Code: 201 {"secret_ref": "http://localhost:9311/v1/12345/secrets/a6a11dde-ad9b-48bb-85b8-a1774b5ddb8b"}
2014-05-28 09:41:45 apal bug added subscriber Apal Song
2014-06-03 16:31:44 OpenStack Infra barbican: status Confirmed In Progress
2014-07-18 04:26:11 Douglas Mendizábal barbican: status In Progress Fix Committed
2014-07-18 04:26:15 Douglas Mendizábal barbican: importance Undecided Medium
2014-07-18 04:26:21 Douglas Mendizábal barbican: milestone juno-1 juno-2
2014-07-24 15:38:51 Russell Bryant barbican: status Fix Committed Fix Released
2014-10-16 09:59:56 Thierry Carrez barbican: milestone juno-2 2014.2